<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<schema targetNamespace="http://dictao.com/xsd/dtp-wcs/error/v1"
        xmlns="http://www.w3.org/2001/XMLSchema"
        xmlns:tns="http://dictao.com/xsd/dtp-wcs/error/v1"
        elementFormDefault="qualified"
        version="2.0">

    <simpleType name="SystemErrorCodeType">
        <restriction base="string">
            <enumeration value="ECLIENT_ENV_CONFIGURATION"/>
            <enumeration value="ECLIENT_ENV_DATABASE"/>
            <enumeration value="ECLIENT_ENV_DXS"/>
            <enumeration value="ECLIENT_ENV_FILE"/>
            <enumeration value="ECLIENT_ENV_INTERNAL_ERROR"/>
            <enumeration value="ECLIENT_ENV_MAIL"/>
            <enumeration value="ECLIENT_ENV_MEMORY"/>
            <enumeration value="ECLIENT_ENV_NETWORK"/>
            <enumeration value="ECLIENT_ENV_NOTIFICATION"/>
            <enumeration value="ECLIENT_ENV_SHUTTING_DOWN"/>
        </restriction>
    </simpleType>
    <complexType name="SystemErrorInfo">
        <sequence>
            <element name="code" type="tns:SystemErrorCodeType" nillable="false"/>
            <element name="errorName" type="string" />
            <element name="message" type="string" />
        </sequence>
    </complexType>
    <simpleType name="UserErrorCodeType">
        <restriction base="string">
            <enumeration value="ECLIENT_BLOB_NOT_FOUND"/>
	        <enumeration value="ECLIENT_CONTENT_INVALID_CONTEXT"/>
            <enumeration value="ECLIENT_CONTENT_INVALID_DATA"/>
            <enumeration value="ECLIENT_CONTENT_NOT_FOUND"/>
            <enumeration value="ECLIENT_GROUP_INVALID_CONTEXT"/>
            <enumeration value="ECLIENT_GROUP_INVALID_DATA"/>
            <enumeration value="ECLIENT_GROUP_NOT_FOUND"/>
            <enumeration value="ECLIENT_TEMPLATE_NOT_FOUND"/>
            <enumeration value="ECLIENT_TEMPLATE_INVALID_REF"/>
            <enumeration value="ECLIENT_USER_AUTHENTICATION_FAILED"/>
            <enumeration value="ECLIENT_USER_ILLEGAL_STATE"/>
            <enumeration value="ECLIENT_USER_INVALID_CONTEXT"/>
            <enumeration value="ECLIENT_USER_INVALID_PARAMETER"/>
            <enumeration value="ECLIENT_USER_MISSING_PARAMETER"/>
            <enumeration value="ECLIENT_USER_NOT_FOUND"/>
            <enumeration value="ECLIENT_USER_SPACE_NOT_FOUND"/>
            <enumeration value="ECLIENT_USER_SPACE_EXISTING"/>
            <enumeration value="ECLIENT_USER_UNAUTHORIZED"/>
        </restriction>
    </simpleType>
    <complexType name="UserErrorInfo">
        <sequence>
            <element name="code" type="tns:UserErrorCodeType" nillable="false"/>
            <element name="errorName" type="string" />
            <element name="message" type="string" />
        </sequence>
    </complexType>
</schema>
